import {connect} from "react-redux";
import {Link} from "react-router-dom";
import {actionUserFind} from "../../actions";
import {store} from "../../reducers";




const User = ({user:{_id, login}={}}) =>
<li><Link to={`/user/${_id}`}>{login}</Link></li>


const AllUsers = ({users={}}) =>{

        return (
            <div>
                <h3>Плейлисты ползователя</h3>
            <ul className='Users'>
                    {users.map(user =>  <User key={Math.random()} user={user}/> )}
            </ul>
            </div>
        )

}

export const CAllUsers = connect(state => ({users: state.promise.userFind?.payload || []}))
(AllUsers)


store.dispatch(actionUserFind())